# Validate a domain contact request body (https://developer.godaddy.com/en/docs/references/rest/domains/v1/contacts-validate)

---
title: Validate a domain contact request body
description: >-
  Validates contact information against the domain-level rules for each domain
  in the domains list.
full: true
---

Full description

Validates contact information against the domain-level rules for each domain in the domains list. Pass tlds as an alternative, except for .uk domains which require full domain names.

## POST /v1/domains/contacts/validate

Validate a domain contact request body

Validates contact information against the domain-level rules for each domain in the domains list. Pass tlds as an alternative, except for .uk domains which require full domain names.

### Query parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `marketId` | string <bcp-47> | no | MarketId in which the request is being made, and for which responses should be localized |

### Request body (required)

An instance document expected for domains contacts validation

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/DomainsContactsBulk`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/DomainsContactsBulk`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/DomainsContactsBulk`

### Responses

**200** — No response was specified

**204** — Request was successful

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**422** — Request body doesn't fulfill schema, see details in `fields`

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/ErrorDomainContactsValidate`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/ErrorDomainContactsValidate`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/ErrorDomainContactsValidate`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/ErrorDomainContactsValidate`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/ErrorDomainContactsValidate`

**429** — Too many requests received within interval

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

**500** — Internal server error

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**Security:** requires `bearerAuth`.
